﻿using Syncfusion.Pdf;
using Syncfusion.Pdf.Parsing;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Forum150844
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            // Initilaize PdfLoadedDocument
            PdfLoadedDocument loadedDocument = new PdfLoadedDocument(@"../../Data/HTTP.pdf");

            if(loadedDocument.Pages.Count > 0)
            {
                List<string> fontNames = new List<string>();

                List<TextData> textDatas;

                for (int i=0;i< loadedDocument.Pages.Count;i++)
                {
                    // Extract the text with font name, font size, color, style
                    string extractedText = loadedDocument.Pages[i].ExtractText(out textDatas);
                    for(int j=0;j<textDatas.Count;j++)
                    {
                        if(!fontNames.Contains(textDatas[j].FontName))
                        {
                            fontNames.Add(textDatas[j].FontName);
                            Console.WriteLine(textDatas[j].FontName);
                            Console.WriteLine(textDatas[j].FontSize);
                        }   
                    }
                }
            }
        }
    }
}
